#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-Mail
Summary:	DateTime::Format::Mail - Convert between DateTime and RFC 2822/822 formats
Summary(pl.UTF-8):	DateTime::Format::Mail - konwersja między formatami DateTime a RFC 2822/822
Name:		perl-DateTime-Format-Mail
Version:	0.403
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b34a52d96290c42cf53e8db0a8f16ecd
URL:		http://search.cpan.org/dist/DateTime-Format-Mail/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime
BuildRequires:	perl-Params-Validate >= 0.67
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFCs 2822 and 822 specify date formats to be used by email. This
module parses and emits such dates.

%description -l pl.UTF-8
RFC 2822 i 822 określają formaty daty przeznaczone do używania w
poczcie elektronicznej. Ten moduł analizuje i tworzy takie daty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes CREDITS README
%{perl_vendorlib}/DateTime/Format/Mail.pm
%{_mandir}/man3/DateTime::Format::Mail.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Format-Mail.git;a=log;h=auto/th/perl-DateTime-Format-Mail-0.403-1

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c1f9ef4
- up to 0.403

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> a258025
- more verbose man files

* Tue Dec 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 2d13c2b
- unified Source0 URL

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bcf634
- rel 1

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 877ff15
- up to 0.3001

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 2bc8371
- pl, removed incomplete details from desc
- BR package names where possible, Module::Build is always required

* Sun Mar 25 2007 Szymon Siwek <sls@pld-linux.org> 9f2d0e2
- added datetime_version.patch

* Sun Mar 25 2007 Szymon Siwek <sls@pld-linux.org> e5fd0ea
- DateTime version changed (0.1705 -> 0.17.05)

* Sun Mar 25 2007 Szymon Siwek <sls@pld-linux.org> d85f0f9
- perl-XML-RSS-1.22 needs this

